Bug 1933397 - gnome-control-center crashes when adding a new input source
Summary: gnome-control-center crashes when adding a new input source
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BetaBlocker, F34BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2021-02-27 06:25 UTC by Sumit Bhardwaj
Modified: 2021-03-31 10:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 10:48:45 UTC
Type: Bug


Attachments (Terms of Use)
journalctl output at the time of crash (14.56 KB, text/plain)
2021-02-27 06:25 UTC, Sumit Bhardwaj
no flags Details

Description Sumit Bhardwaj 2021-02-27 06:25:17 UTC
Created attachment 1759622 [details]
journalctl output at the time of crash

Description of problem:
On Fedora 34 pre-beta, Gnome Settings (gnome-control-center) crashes when trying to add a new input source under Keyboard section.

Version-Release number of selected component (if applicable):

gnome-control-center-filesystem-40~beta-3.fc34.noarch
gnome-control-center-40~beta-3.fc34.x86_64


How reproducible:
By opening Settings application, navigating to Keyboard section and clicking the  + button under Input Sources. 

Steps to Reproduce:
1. Open Settings Application (gnome-control-center)
2. Navigate to Keyboards section.
3. Under Input Sources,click the + button to add a new input source.

Actual results:
Settings application crashes and closes.

Expected results:
Dialog to add new input source shows up.

Additional info:
journalctl output at the time of crash is attached.

Comment 1 Sumit Bhardwaj 2021-02-27 06:26:25 UTC
Crash time log for reference:

Feb 27 11:49:31 sumitslaptop audit[31298]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=20 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=31298 comm="gnome-control-c" exe="/usr/bin/gnome-control-center" sig=11 res=1
Feb 27 11:49:31 sumitslaptop kernel: gnome-control-c[31298]: segfault at 5b5 ip 00007f5ae3f54efe sp 00007ffcf8d34dc8 error 4 in libc-2.33.so[7f5ae3e1f000+14d000]
Feb 27 11:49:31 sumitslaptop kernel: Code: c8 c3 66 2e 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 89 f8 31 d2 c5 c1 ef ff 09 f0 25 ff 0f 00 00 3d 80 0f 00 00 0f 8f 52 03 00 00 <c5> fe 6f 0f c5 f5 74 06 c5 fd da c1 c5 fd 74 c7 c5 fd d7 c8 85 c9
Feb 27 11:49:31 sumitslaptop audit: BPF prog-id=155 op=LOAD
Feb 27 11:49:31 sumitslaptop audit: BPF prog-id=156 op=LOAD
Feb 27 11:49:31 sumitslaptop audit: BPF prog-id=157 op=LOAD
Feb 27 11:49:31 sumitslaptop systemd[1]: Started Process Core Dump (PID 31563/UID 0).
Feb 27 11:49:31 sumitslaptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@7-31563-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 27 11:49:32 sumitslaptop systemd-coredump[31564]: [🡕] Process 31298 (gnome-control-c) of user 1000 dumped core.
                                                      
                                                      Stack trace of thread 31298:
                                                      #0  0x00007f5ae3f54efe __strcmp_avx2 (libc.so.6 + 0x15befe)
                                                      #1  0x000055cc8814a8cb add_rows_to_table (gnome-control-center + 0xba8cb)
                                                      #2  0x000055cc8814bc69 cc_input_chooser_new (gnome-control-center + 0xbbc69)
                                                      #3  0x000055cc8814362c show_input_chooser (gnome-control-center + 0xb362c)
                                                      #4  0x00007f5ae5aa36de g_cclosure_marshal_VOID__OBJECTv (libgobject-2.0.so.0 + 0x126de)
                                                      #5  0x00007f5ae5ac2efa g_signal_emit_valist (libgobject-2.0.so.0 + 0x31efa)
                                                      #6  0x00007f5ae5ac3043 g_signal_emit (libgobject-2.0.so.0 + 0x32043)
                                                      #7  0x00007f5ae5342a09 gtk_list_box_multipress_gesture_released (libgtk-3.so.0 + 0x244a09)
                                                      #8  0x00007f5ae54e715f _gtk_marshal_VOID__INT_DOUBLE_DOUBLEv (libgtk-3.so.0 + 0x3e915f)
                                                      #9  0x00007f5ae5ac2efa g_signal_emit_valist (libgobject-2.0.so.0 + 0x31efa)
                                                      #10 0x00007f5ae5ac3043 g_signal_emit (libgobject-2.0.so.0 + 0x32043)
                                                      #11 0x00007f5ae53047cc gtk_gesture_multi_press_end (libgtk-3.so.0 + 0x2067cc)
                                                      #12 0x00007f5ae5aa8b0f g_cclosure_marshal_VOID__BOXEDv (libgobject-2.0.so.0 + 0x17b0f)
                                                      #13 0x00007f5ae5ac2efa g_signal_emit_valist (libgobject-2.0.so.0 + 0x31efa)
                                                      #14 0x00007f5ae5ac3043 g_signal_emit (libgobject-2.0.so.0 + 0x32043)
                                                      #15 0x00007f5ae52fc3bb _gtk_gesture_check_recognized.lto_priv.0 (libgtk-3.so.0 + 0x1fe3bb)
                                                      #16 0x00007f5ae5304013 gtk_gesture_handle_event (libgtk-3.so.0 + 0x206013)
                                                      #17 0x00007f5ae5304c13 gtk_gesture_single_handle_event (libgtk-3.so.0 + 0x206c13)
                                                      #18 0x00007f5ae52cbae0 gtk_event_controller_handle_event (libgtk-3.so.0 + 0x1cdae0)
                                                      #19 0x00007f5ae549b625 _gtk_widget_run_controllers.lto_priv.0 (libgtk-3.so.0 + 0x39d625)
                                                      #20 0x00007f5ae54e58b8 _gtk_marshal_BOOLEAN__BOXEDv (libgtk-3.so.0 + 0x3e78b8)
                                                      #21 0x00007f5ae5ac2efa g_signal_emit_valist (libgobject-2.0.so.0 + 0x31efa)
                                                      #22 0x00007f5ae5ac3043 g_signal_emit (libgobject-2.0.so.0 + 0x32043)
                                                      #23 0x00007f5ae54a9964 gtk_widget_event_internal.part.0.lto_priv.0 (libgtk-3.so.0 + 0x3ab964)
                                                      #24 0x00007f5ae534db90 propagate_event.lto_priv.0 (libgtk-3.so.0 + 0x24fb90)
                                                      #25 0x00007f5ae534ea5a gtk_main_do_event (libgtk-3.so.0 + 0x250a5a)
                                                      #26 0x00007f5ae50327b3 _gdk_event_emit (libgdk-3.so.0 + 0x397b3)
                                                      #27 0x00007f5ae5099426 gdk_event_source_dispatch.lto_priv.2 (libgdk-3.so.0 + 0xa0426)
                                                      #28 0x00007f5ae59b00ff g_main_context_dispatch (libglib-2.0.so.0 + 0x550ff)
                                                      #29 0x00007f5ae5a03c98 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa8c98)
                                                      #30 0x00007f5ae59ad9f3 g_main_context_iteration (libglib-2.0.so.0 + 0x529f3)
                                                      #31 0x00007f5ae5bc88cd g_application_run (libgio-2.0.so.0 + 0xdb8cd)
                                                      #32 0x000055cc881015e3 main (gnome-control-center + 0x715e3)
                                                      #33 0x00007f5ae3e20b75 __libc_start_main (libc.so.6 + 0x27b75)
                                                      #34 0x000055cc881017fe _start (gnome-control-center + 0x717fe)
                                                      
                                                      Stack trace of thread 31302:
                                                      #0  0x00007f5ae3fdd9ca __futex_abstimed_wait_common64 (libpthread.so.0 + 0x159ca)
                                                      #1  0x00007f5ae3fd7280 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf280)
                                                      #2  0x00007f5adbb6dbe0 _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6 + 0xd3be0)
                                                      #3  0x00007f5adf625e32 _ZN7bmalloc9Scavenger13threadRunLoopEv (libjavascriptcoregtk-4.0.so.18 + 0x14c2e32)
                                                      #4  0x00007f5adf6260ef _ZN7bmalloc9Scavenger16threadEntryPointEPS0_ (libjavascriptcoregtk-4.0.so.18 + 0x14c30ef)
                                                      #5  0x00007f5adbb73d04 execute_native_thread_routine (libstdc++.so.6 + 0xd9d04)
                                                      #6  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #7  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31308:
                                                      #0  0x00007f5ae3fdd9ca __futex_abstimed_wait_common64 (libpthread.so.0 + 0x159ca)
                                                      #1  0x00007f5ae3fd7280 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf280)
                                                      #2  0x00007f5ac86a150b util_queue_thread_func (i965_dri.so + 0x1c650b)
                                                      #3  0x00007f5ac86a0fcb impl_thrd_routine (i965_dri.so + 0x1c5fcb)
                                                      #4  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #5  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31310:
                                                      #0  0x00007f5ae3fdd9ca __futex_abstimed_wait_common64 (libpthread.so.0 + 0x159ca)
                                                      #1  0x00007f5ae3fd7280 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf280)
                                                      #2  0x00007f5ac86a150b util_queue_thread_func (i965_dri.so + 0x1c650b)
                                                      #3  0x00007f5ac86a0fcb impl_thrd_routine (i965_dri.so + 0x1c5fcb)
                                                      #4  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #5  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31306:
                                                      #0  0x00007f5ae3eee9bf __poll (libc.so.6 + 0xf59bf)
                                                      #1  0x00007f5ae5a03c36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa8c36)
                                                      #2  0x00007f5ae59ad9f3 g_main_context_iteration (libglib-2.0.so.0 + 0x529f3)
                                                      #3  0x00007f5ad8b3b3ed dconf_gdbus_worker_thread (libdconfsettings.so + 0x73ed)
                                                      #4  0x00007f5ae59de8c2 g_thread_proxy (libglib-2.0.so.0 + 0x838c2)
                                                      #5  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #6  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31305:
                                                      #0  0x00007f5ae3eee9bf __poll (libc.so.6 + 0xf59bf)
                                                      #1  0x00007f5ae5a03c36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa8c36)
                                                      #2  0x00007f5ae59af7e3 g_main_loop_run (libglib-2.0.so.0 + 0x547e3)
                                                      #3  0x00007f5ae5bfcc7a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x10fc7a)
                                                      #4  0x00007f5ae59de8c2 g_thread_proxy (libglib-2.0.so.0 + 0x838c2)
                                                      #5  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #6  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31303:
                                                      #0  0x00007f5ae3eee9bf __poll (libc.so.6 + 0xf59bf)
                                                      #1  0x00007f5ae5a03c36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa8c36)
                                                      #2  0x00007f5ae59ad9f3 g_main_context_iteration (libglib-2.0.so.0 + 0x529f3)
                                                      #3  0x00007f5ae59ada41 glib_worker_main (libglib-2.0.so.0 + 0x52a41)
                                                      #4  0x00007f5ae59de8c2 g_thread_proxy (libglib-2.0.so.0 + 0x838c2)
                                                      #5  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #6  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31309:
                                                      #0  0x00007f5ae3fdd9ca __futex_abstimed_wait_common64 (libpthread.so.0 + 0x159ca)
                                                      #1  0x00007f5ae3fd7280 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf280)
                                                      #2  0x00007f5ac86a150b util_queue_thread_func (i965_dri.so + 0x1c650b)
                                                      #3  0x00007f5ac86a0fcb impl_thrd_routine (i965_dri.so + 0x1c5fcb)
                                                      #4  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #5  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
                                                      
                                                      Stack trace of thread 31307:
                                                      #0  0x00007f5ae3fdd9ca __futex_abstimed_wait_common64 (libpthread.so.0 + 0x159ca)
                                                      #1  0x00007f5ae3fd7280 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf280)
                                                      #2  0x00007f5ac86a150b util_queue_thread_func (i965_dri.so + 0x1c650b)
                                                      #3  0x00007f5ac86a0fcb impl_thrd_routine (i965_dri.so + 0x1c5fcb)
                                                      #4  0x00007f5ae3fd1269 start_thread (libpthread.so.0 + 0x9269)
                                                      #5  0x00007f5ae3ef9663 __clone (libc.so.6 + 0x100663)
Feb 27 11:49:32 sumitslaptop systemd[1]: systemd-coredump@7-31563-0.service: Deactivated successfully.
Feb 27 11:49:32 sumitslaptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@7-31563-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 27 11:49:32 sumitslaptop systemd[28590]: app-gnome-gnome\x2dcontrol\x2dcenter-31298.scope: Deactivated successfully.
Feb 27 11:49:32 sumitslaptop systemd[28590]: app-gnome-gnome\x2dcontrol\x2dcenter-31298.scope: Consumed 4.343s CPU time.
Feb 27 11:49:32 sumitslaptop audit: BPF prog-id=157 op=UNLOAD
Feb 27 11:49:32 sumitslaptop audit: BPF prog-id=156 op=UNLOAD
Feb 27 11:49:32 sumitslaptop audit: BPF prog-id=155 op=UNLOAD
Feb 27 11:49:33 sumitslaptop abrt-server[31572]: Deleting problem directory ccpp-2021-02-27-11:49:32.364865-31298 (dup of ccpp-2021-02-27-11:15:11.615024-29411)
Feb 27 11:49:33 sumitslaptop abrt-applet[29160]: abrt-applet: Lock file '.lock' is locked by process 2237
Feb 27 11:49:33 sumitslaptop abrt-notification[31614]: [🡕] Process 29411 (gnome-control-center) crashed in __strcmp_avx2()

Comment 2 Fedora Blocker Bugs Application 2021-02-27 06:29:12 UTC
Proposed as a Blocker for 34-beta by Fedora user krazyabouttechnology using the blocker tracking app because:

 Settings app is part of the core OS experience. Easily and consistently reproducible crashes should be considered a blocker.

Comment 3 Lukas Ruzicka 2021-03-01 11:58:45 UTC
I cannot reproduce it on my desktop running the same version, i.e. gnome-control-center-40~beta-3.fc34.x86_64. 
My default language input is Czech, I tried to add US English and Bengalese, both worked fine. Removing them was also flawless.
Which input sources have you tried? Maybe it is source specific?

Comment 4 Geoffrey Marr 2021-03-01 21:16:20 UTC
Discussed during the 2021-03-01 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as we would likely vote to accept this if it was reproducible, but no-one in the meeting can reproduce it. We will ask the reporter to test with latest packages and try to get more info if they can still produce the crash.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-03-01/f34-blocker-review.2021-03-01-17.01.txt

Comment 5 Sumit Bhardwaj 2021-03-02 07:40:09 UTC
For me its still happening even with the latest updates etc. 

This is a Fedora 33 to 34 upgraded bare metal system using dnf system-upgrade. English (India) is my current language and I wanted to add a Hindi keyboard, but as soon as press the + button, it crashes with similar error in logs, so i think what language i am trying to add is not relevant as it does not reach to the language selection dialog even.

Is there any .config or .local directory that i can clear, which is used by the settings. If this is not happening for others it could be something specific to my system. Has anybody tried it on an upgraded system...clean iso or clean install is not having this issue, i also checked in a VM.

Comment 6 Sumit Bhardwaj 2021-03-03 10:44:06 UTC
Ok, i tried something. I ran the dconf reset command like below:

dconf reset -f /

It reset all my Gnome settings and i lost my customizations however it solved the problem. So I guess it was a bad configuration brought over from previous install. I am not sure if we can list it as a known issue or not but its definitely not a blocker it seems.

Comment 7 Sumit Bhardwaj 2021-03-03 10:48:45 UTC
Closing this as it seems to be specific to my system only and is resolved after resetting my Gnome configuration. But if its appearing on upgraded systems for others as well, then we might consider adding a known issue release note.

Comment 8 Viktor Ashirov 2021-03-31 10:54:05 UTC
Reopening, as it is still happening.

$ rpm -q gnome-control-center
gnome-control-center-40.0-6.fc34.x86_64

To reproduce, set this first:

$ gsettings set org.gnome.desktop.input-sources show-all-sources true

Then follow the steps from comment #0


Note You need to log in before you can comment on or make changes to this bug.